
fn='';
[fn,pn]=uigetfile('sch*.xls','Specify an Excel Schedule File Name',fn);
name=[pn,fn];
Sch_Cycle = xlsread(name, 'Sch Cycle');
Sch_Brake_On = xlsread(name, 'Sch Brake On');
Sch_Gear_On = xlsread(name,'Sch Gear On');
Sch_Grade = xlsread(name, 'Sch Grade');
Sch_Key_On = xlsread(name, 'Sch Key On');
%Convert the grade from percent to radians.
Sch_Grade(:,2)=atan(Sch_Grade(:,2)/100);

fx=['Schedule',fn(4:end-4)];
clear fn;
clear pn;
eval(['save ',fx]);


